import { type SendMessageResponse, type GetMessagesResponse } from './schema';
declare class TextLineApi {
    private readonly accessToken;
    private readonly baseUrl;
    constructor(accessToken: string);
    private constructUrl;
    getMessages(phoneNumber?: string, afterMessageId?: string, departmentId?: string, page?: number, pageSize?: number): Promise<GetMessagesResponse>;
    sendMessage(content: string, recipient: string, departmentId?: string): Promise<SendMessageResponse>;
    setContactConsent(consentStatus: boolean, recipient: string): Promise<void>;
}
export default TextLineApi;
